summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--x11-misc/xlockmore/Manifest1
-rw-r--r--x11-misc/xlockmore/xlockmore-5.63_beta.ebuild110
2 files changed, 111 insertions, 0 deletions
diff --git a/x11-misc/xlockmore/Manifest b/x11-misc/xlockmore/Manifest
index 01dfbf98989..6ebc37c50ea 100644
--- a/x11-misc/xlockmore/Manifest
+++ b/x11-misc/xlockmore/Manifest
@@ -2,3 +2,4 @@ DIST xlockmore-5.50.tar.xz 1632968 BLAKE2B 2e692d16d70e3186ec1f31c192414b286f881
DIST xlockmore-5.61.tar.xz 1936312 BLAKE2B f4d12f1dbd5da1d8cef16690e393fdd9ba4162722398c8239c0091f2cd46cc3f401c1a62ed1910bf37fc0d98f0bf0723ca9003caf507e3d8a6a83f7b51228f35 SHA512 be64b3dc22f1c0c310ed4a085fcaf9f7ed96c5d2a97f3359966201df54fc5acfc3e5d94cb0616a28a217e0cc6954f9a519198c238e40202263a7c03438771a7d
DIST xlockmore-5.62.tar.xz 1943836 BLAKE2B 6ce9b9ad709881a50eba0e32ae1e7524414a5e92e34daeff1ce68b6bb4738117155543d15219723ab514d520064601824a22d438541a699c742ab0c620285c64 SHA512 fc7c63a8ce781ba1a9598b5e3d585cc85051da864dbd59e3232b2fa6b6529743f9244e52bdf588ae438c02a2e1e745eb81b372234189e73ae6698cc962c387c2
DIST xlockmore-5.63ALPHA0.tar.xz 1944780 BLAKE2B 702662a96d3275be45d1a578d35ab7ec209161318ec32a7d6ea1e540dc3722d7fe21aa1681b56e4542e7d0ff870804675dd957a09037c731dd30c358253ca0d3 SHA512 2f5f2cf8b395ac89ab421729a2db2c276d28fc880b95e5166a8280530d50fd44ee809d95be248dfdd18b21f76c664f6410ed0da42e4241094e428280664b4705
+DIST xlockmore-5.63BETA.tar.xz 1944632 BLAKE2B a9616a8bfe854e4cbd099e108db4311c328d57bf169a85ea6d24df36c1746fd8a0697908c1927b17c38115dc2ed5470dfba6eb0a624e04eeae6dee3458495189 SHA512 1625fcc41120d9ad6a0b032900ccbce037d8321c1ad5d0d1b2fcc12653fc55b8567473aa6de8cbce9b76ce2cc3a0e3c6abb2b3fc311acc93f94345973a94150c
diff --git a/x11-misc/xlockmore/xlockmore-5.63_beta.ebuild b/x11-misc/xlockmore/xlockmore-5.63_beta.ebuild
new file mode 100644
index 00000000000..989d6c25d4c
--- /dev/null
+++ b/x11-misc/xlockmore/xlockmore-5.63_beta.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic pam
+
+DESCRIPTION="Just another screensaver application for X"
+HOMEPAGE="https://www.sillycycle.com/xlockmore.html"
+SRC_URI="
+ https://www.sillycycle.com/xlock/${P/_beta/BETA}.tar.xz
+ https://www.sillycycle.com/xlock/recent-releases/${P/_beta/BETA}.tar.xz
+"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="crypt debug gtk imagemagick motif nas opengl pam truetype xinerama xlockrc vtlock"
+
+REQUIRED_USE="
+ || ( crypt pam )
+ pam? ( !xlockrc )
+ xlockrc? ( !pam )
+"
+RDEPEND="
+ gtk? ( x11-libs/gtk+:2 )
+ imagemagick? ( media-gfx/imagemagick:= )
+ motif? ( >=x11-libs/motif-2.3:0 )
+ nas? ( media-libs/nas )
+ opengl? (
+ virtual/opengl
+ virtual/glu
+ truetype? ( >=media-libs/ftgl-2.1.3_rc5 )
+ )
+ pam? ( sys-libs/pam )
+ truetype? ( media-libs/freetype:2 )
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXmu
+ x11-libs/libXpm
+ x11-libs/libXt
+ xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+ x11-base/xorg-proto
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.46-freetype261.patch
+ "${FILESDIR}"/${PN}-5.47-CXX.patch
+ "${FILESDIR}"/${PN}-5.47-strip.patch
+)
+S=${WORKDIR}/${P/_beta/BETA}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=()
+
+ if use opengl && use truetype; then
+ myconf=( --with-ftgl )
+ append-cppflags -DFTGL213
+ else
+ myconf=( --without-ftgl )
+ fi
+
+ myconf+=(
+ $(use_enable pam)
+ $(use_enable xlockrc)
+ $(use_enable vtlock)
+ $(use_with crypt)
+ $(use_with debug editres)
+ $(use_with gtk gtk2)
+ $(use_with imagemagick magick)
+ $(use_with motif)
+ $(use_with nas)
+ $(use_with opengl mesa)
+ $(use_with opengl)
+ $(use_with truetype freetype)
+ $(use_with truetype ttf)
+ $(use_with xinerama)
+ --disable-mb
+ --enable-appdefaultdir=/usr/share/X11/app-defaults
+ --enable-syslog
+ --enable-vtlock
+ --without-esound
+ --without-gtk
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ local DOCS=( README docs/{3d.howto,cell_automata,HACKERS.GUIDE,Purify,Revisions,TODO} )
+ default
+
+ pamd_mimic_system xlock auth
+
+ if use pam; then
+ fperms 755 /usr/bin/xlock
+ else
+ fperms 4755 /usr/bin/xlock
+ fi
+
+ docinto html
+ dodoc docs/xlock.html
+}